@import url("https://fonts.googleapis.com/css2?family=Lato&display=swap");

* {
  box-sizing: border-box;
}

body {
  background-color: #242333;
  color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  font-family: "Lato", sans-serif;
  margin: 0;
  cursor: default;
}

.movie-container {
  margin: 20px 0;
}

.movie-container select {
  background-color: #fff;
  border: 0;
  border-radius: 5px;
  margin-left: 10px;
  padding: 5px 15px;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  cursor: pointer;
}

.seat {
  background-color: #444451;
  height: 12px;
  width: 15px;
  margin: 3px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.seat.selected {
  background-color: #6feaf6;
}

.seat.occupied {
  background-color: #fff;
}

.seat:nth-of-type(2) {
  margin-right: 18px;
}

.seat:nth-last-of-type(2) {
  margin-left: 18px;
}

.scene .seat:not(.occupied):hover {
  cursor: pointer;
  transform: scale(1.2);
}

.row {
  display: flex;
}

.showcase {
  background: rgba(0, 0, 0, 0.1);
  padding: 5px 10px;
  border-radius: 5px;
  color: #777;
  list-style-type: none;
  display: flex;
  justify-content: space-between;
}

.showcase li {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 10px;
}

.showcase li small {
  margin-left: 2px;
}

.scene {
  perspective: 500px;
}

.screen {
  background-color: #fff;
  height: 70px;
  width: 100%;
  margin: 15px 0;
  transform: rotateX(-45deg);
  box-shadow: 0 3px 10px rgba(255, 255, 255, 0.7);
}

.seats {
  transform: rotateX(35deg);
}

p.text {
  margin-top: 30px;
}
p.text span {
  color: #6feaf6;
  font-weight: 600;
}

button {
  cursor: pointer;
  border-radius: 5px;
  background-color: #fff;
  border: 0;
  font-size: 12px;
  padding: 8px;
  width: 200px;
}

#pay-seats-button {
  width: 256px;
}

button:disabled {
  cursor: default;
}

button:active {
  background-color: #777;
}

#add-movie-form {
  margin-top: 16px;
}

input {
  font-size: 12px;
  padding: 8px;
  border: 0;
  border-radius: 5px;
}

#no-movie-added {
  color: #444451;
}
